Loading...
Searching...
No Matches
_StreamInfo Struct Reference

## Data Fields

const ImageInfo * | image_info
const Image * | image
Image * | stream
QuantumInfo * | quantum_info
char * | map
StorageType | storage_type
unsigned char * | pixels
RectangleInfo | extract_info
ssize_t | y
ExceptionInfo * | exception
const void * | client_data
size_t | signature

## Detailed Description

Definition at line 70 of file stream.c.

## Field Documentation

## client_data

const void* _StreamInfo::client_data

Definition at line 103 of file stream.c.

## exception

ExceptionInfo* _StreamInfo::exception

Definition at line 100 of file stream.c.

## extract_info

RectangleInfo _StreamInfo::extract_info

Definition at line 94 of file stream.c.

## image

const Image* _StreamInfo::image

Definition at line 76 of file stream.c.

## image_info

const ImageInfo* _StreamInfo::image_info

Definition at line 73 of file stream.c.

## map

char* _StreamInfo::map

Definition at line 85 of file stream.c.

## pixels

unsigned char* _StreamInfo::pixels

Definition at line 91 of file stream.c.

## quantum_info

QuantumInfo* _StreamInfo::quantum_info

Definition at line 82 of file stream.c.

## signature

size_t _StreamInfo::signature

Definition at line 106 of file stream.c.

## storage_type

StorageType _StreamInfo::storage_type

Definition at line 88 of file stream.c.

## stream

Image* _StreamInfo::stream

Definition at line 79 of file stream.c.

## y

ssize_t _StreamInfo::y

Definition at line 97 of file stream.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/stream.c